import { request } from '@/utils'
export const GetCheckUser = (account: string) =>
  request({
    url: `/auth/check-user?account=${account}`,
    method: 'get'
  })

export const PostLogin = (data: any) =>
  request({
    url: `/auth/login`,
    method: 'post',
    data,
  })
export const PostRefresh = (refreshToken: string) =>
  request({
    url: `auth/refresh?refreshToken=${refreshToken}`,
    method: 'post',
  })

export const PostAnonLogin = (data: any) =>
  request({
    url: `/auth/anon-login`,
    method: 'post',
    data,
  })